###############################################################
# Galleries
###############################################################

# Name/URL-Anteil der Kollektion
name: galleries
uploadPath: ../media/galleries

# Metaangaben zur Kollektion welche in der Admin-UI verwendet werden können
meta:
    # Navigationseintrag in der Admin-UI
    label: { de: "Galerien", en: "Galleries" }
    # Icon (Material UI) für den Navigationseintrag
    muiIcon: image-multiple-outline
    # Identifizierung eines Eintrags für z.B. Select-Boxen in der Admin-UI
    rowIdentTpl: { twig: "{{ path }}" }
    # Standardsortierung der Liste
    defaultSort: { field: "path", order: "ASC" }
    # Admin-Backend Ansichten
    defaultImageFilter: s
    views:
        # Mobile Darstellung
        - type: simpleList
          mediaQuery: "(max-width:599px)"
          primaryText: name
          columns:
              - name
              - variant
        # Desktop
        - type: table
          mediaQuery: "(min-width:600px)"
          columns:
              - name
              - variant

imageFilter:
    xs:
        - fit: true
          height: 90
          width: 90
          resampling: lancos
          quality: 60
    s:
        - fit: true
          height: 300
          width: 300
          resampling: lancos
          quality: 60
    m:
        - fit: true
          height: 600
          width: 600
          resampling: lancos
          quality: 60
    l:
        - fit: true
          height: 1200
          width: 1200
          resampling: lancos
          quality: 60
    xl:
        - fit: true
          height: 2000
          width: 2000
          resampling: lancos
          quality: 60

permissions:
    public:
        methods:
            get: true
            post: false
            put: false
            delete: false
    user:
        methods:
            get: true
            post: false
            put: false
            delete: false
    # token als Zusatzsicherung gegen Spam, mehr siehe Hook
    "token:${PUBLIC_TOKEN}":
        methods:
            get: false
            post: false
            put: false
            delete: false

# Feldliste der Kollektion
fields:
    - name: name
      type: string
      meta:
          label: { de: "Name der Galerie", en: "Gallery Name" }
    - name: variant
      type: string
      meta:
          widget: select
          label:
              de: Erscheinungsbild
              en: Appearance
          defaultValue: ["default"]
          choices:
              - { id: "default", name: { de: "Standard", en: "Default" } }
              - { id: "simple-with-title", name: { de: "Einfach mit Titel", en: "Simple with title" } }
    - name: items
      type: object[]
      meta:
          label: { de: "Bilder der Galerie", en: "Gallery Images" }
      subFields:
          - name: file
            type: file
            meta:
                widget: image
                label: { de: "Datei", en: "File" }
          - name: title
            type: string
            meta:
                label: { de: "Titel", en: "Title" }
          - name: description
            type: string
            meta:
                label: { de: "Beschreibung", en: "Description" }
          - name: alt
            type: string
            meta:
                label: { de: "Alternativer Text", en: "Alternative caption" }
